DataConfig (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.dataimport.DataConfig class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.dataimport
Class DataConfig

    java.lang.Object
      org.apache.solr.handler.dataimport.DataConfig

    public class DataConfig

extends Object

Mapping for data-config.xml

Refer to http://wiki.apache.org/solr/DataImportHandler for more details.

This API is experimental and subject to change

Since:
  solr 1.3
Version:
  $Id: DataConfig.java 1303792 2012-03-22 14:11:16Z jdyer $

Nested Class Summary
`static class` | `DataConfig.Document`
`static class` | `DataConfig.Entity`
`static class` | `DataConfig.Field`
`static class` | `DataConfig.Script`

Field Summary
`static String` | `CLASS`
`static String` | `DATA_SRC`
`Map<String,Properties>` | `dataSources`
`DataConfig.Document` | `document`
`static String` | `FUNCTION`
`List<Map<String,String>>` | `functions`
`static String` | `IMPORTER_NS` Deprecated. use IMPORTER_NS_SHORT instead
`static String` | `IMPORTER_NS_SHORT`
`Map<String,SchemaField>` | `lowerNameVsSchemaField`
`static String` | `NAME`
`static String` | `PROCESSOR`
`static String` | `ROOT_ENTITY`
`DataConfig.Script` | `script`
`static String` | `SCRIPT`

Constructor Summary
`DataConfig()`

Method Summary
`void` | `clearCaches()`
`static List<Element>` | `getChildNodes(Element e, String byName)`
`static String` | `getTxt(Node elem, StringBuilder buffer)`
`void` | `readFromXml(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### document

    public DataConfig.Document document

### functions

    public List<Map<String,String>> functions

### script

    public DataConfig.Script script

### dataSources

    public Map<String,Properties> dataSources

### lowerNameVsSchemaField

    public Map<String,SchemaField> lowerNameVsSchemaField

### SCRIPT

    public static final String SCRIPT

See Also:
  Constant Field Values

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### PROCESSOR

    public static final String PROCESSOR

See Also:
  Constant Field Values

### IMPORTER_NS

    @Deprecated
    public static final String IMPORTER_NS

  Deprecated. use IMPORTER_NS_SHORT instead
  See Also:
    Constant Field Values

### IMPORTER_NS_SHORT

    public static final String IMPORTER_NS_SHORT

See Also:
  Constant Field Values

### ROOT_ENTITY

    public static final String ROOT_ENTITY

See Also:
  Constant Field Values

### FUNCTION

    public static final String FUNCTION

See Also:
  Constant Field Values

### CLASS

    public static final String CLASS

See Also:
  Constant Field Values

### DATA_SRC

    public static final String DATA_SRC

See Also:
  Constant Field Values

Constructor Detail

### DataConfig

    public DataConfig()

Method Detail

### readFromXml

    public void readFromXml(Element e)

### getTxt

    public static String getTxt(Node elem,
                                StringBuilder buffer)

### getChildNodes

    public static List<Element> getChildNodes(Element e,
                                              String byName)

### clearCaches

    public void clearCaches()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD